/*
 *	Title:		o3find
 *	Version:	0.70
 *	Created by:	Paolo Copello
 *	Home page:	http://web.tiscali.it/fanelia
 *	
 *	Copyright (C) 2003 Paolo Copello
 *	
 *	******************************************
 *	This file is part of o3find
 *	******************************************
 *	
 *	o3find is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	any later version.
 *	
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *	
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *	
 */


// suppress "truncated debug info" warnings (VC++ specific)
#ifdef _MSC_VER
#pragma warning (disable: 4786)
#pragma warning (disable: 4788)
#endif // _MSC_VER



#include "o3findconsoleclass.h"

#include <iostream>
using namespace std;

namespace Fanel
{


OoFinderConsole::OoFinderConsole(
		bool bCaseSensitive, bool bShowErrors, bool bShowNotFound, bool bBriefMode,
		SEARCH_IN search_in)
	: OoFinder(bCaseSensitive, bShowErrors, bShowNotFound, bBriefMode, search_in)
{
}

OoFinderConsole::~OoFinderConsole()
{
}


void OoFinderConsole::ReportFound(const string& sFile, const string& sLine)
{
	if(_bBriefMode)
		cout << sFile << "\n";
	else
	{
		string sConverted;
		UnAdaptString(sLine, sConverted);
		cout << sFile << ":" << sConverted << "\n";
	}
	_lstFound.push_back(sFile);
}

void OoFinderConsole::ReportError(const string& sFile, const string& sMessage)
{
	cerr << "-Error:" << sFile << ":" << sMessage << "\n";
}

void OoFinderConsole::ReportNotFound(const string& sFile)
{
	cerr << "-Search text not found in file:" << sFile << "\n";
}


} // end namespace Fanel
